Your submission was sent successfully! Close

CVE-2014-9296

Published: 19 December 2014

The receive function in ntp_proto.c in ntpd in NTP before 4.2.8 continues to execute after detecting a certain authentication error, which might allow remote attackers to trigger an unintended association change via crafted packets.

Priority

Medium

Status

Package Release Status
ntp
Launchpad, Ubuntu, Debian
lucid Not vulnerable

precise
Released (1:4.2.6.p3+dfsg-1ubuntu3.2)
trusty
Released (1:4.2.6.p5+dfsg-3ubuntu2.14.04.1)
upstream
Released (4.2.8)
utopic
Released (1:4.2.6.p5+dfsg-3ubuntu2.14.10.1)
Patches:
upstream: http://bk1.ntp.org/ntp-dev/?PAGE=patch&REV=548ad06feXHK1HlZoY-WZVyynwvwAg
This vulnerability is mitigated in part by an AppArmor profile.